const target = document.querySelector("#update-this-element");
const button = document.querySelector("#click-me-to-refresh");

const nav = new vegvisir.Navigation("/page-with-new-content");

button.addEventListener("click", () => nav.navigate(target));